package com.fs.pay.pay.dto;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class OrderQueryDTO {
    private String account;         //聚合支付账号
    private String lowOrderId;      //下游订单号,与交易订单号二选一
    private String upOrderId;       //交易订单号，与下游订单号二选一
    private String isNeedUpInfo;


    public Map<String, String> toMap() {
        Map<String, String> params = new HashMap<>();
        params.put("account", account);
        params.put("lowOrderId", lowOrderId);
        params.put("upOrderId", upOrderId);
        params.put("isNeedUpInfo", isNeedUpInfo);
        return params;
    }
}
